# coding: utf-8
from __future__ import unicode_literals

import abc

import six

from report_writer.core.writers.base import BaseWriter


try:
    from typing import TYPE_CHECKING
except ImportError:
    TYPE_CHECKING = False

if TYPE_CHECKING:
    from report_writer.impl.xlsx.report.report_file import ReportFile


@six.add_metaclass(abc.ABCMeta)
class BaseReportWriter(BaseWriter):
    """
    Базовый класс-писатель для отчёта.

    :param report: Файл отчёта
    """
    def __init__(self,
                 report  # type: ReportFile
                 ):  # type: (...) -> None
        self._report = report  # type: ReportFile
